Page MenuHomePhabricator

One page on ar.wikipedia.org is unviewable due to fatal error (execution time out) from Parser/LanguageConverter
Closed, ResolvedPublic

Description

Hello,

All pages (in all namespaces) in Arabic Wikipedia are working well, excpet this page.

Since yesterday, many users are complaining that they can't open this page (portal page), and when try to open it, they are facing:

PHP fatal error: 
entire web request took longer than 60 seconds and timed out

Note: one user said that he can open it, but can't save anything in this page.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2018, 8:39 PM
alanajjar updated the task description. (Show Details)Oct 12 2018, 8:40 PM

Note: one user said that he can open it, but can't save anything in this page.

Sorry for the bad quality of this image, but this user faced this error when try to save the page

Empty server response

Reedy renamed this task from PHP fatal error only in one portal in arwiki to arwiki page giving "entire web request took longer than 60 seconds and timed out".Oct 12 2018, 9:13 PM

Since yesterday, many users are complaining that they can't open this page (portal page), and when try to open it, they are facing:

Can't open it till now with the same error message

Krinkle renamed this task from arwiki page giving "entire web request took longer than 60 seconds and timed out" to One page on ar.wikipedia.org is unviewable due to fatal error (execution time out) from Parser/LanguageConverter.Oct 16 2018, 9:59 PM
alanajjar added a comment.EditedOct 27 2018, 10:58 AM

Until now we can't open this page.
@Addshore @Ladsgroup

I tried deleting and restoring the page to see if that will help. The page gets deleted normally, but after this, when trying to restore it, it gives this error message

"Wikimedia\Rdbms\DBTransactionSizeError" (the page has only 325 revisions, so, not too much revisions to cause an error)

  • However, the page is eventually restored (after displaying the said error) but again it is still not accessible.

    Meno25 closed this task as Resolved.Oct 28 2018, 2:37 PM
    Meno25 claimed this task.

    Resolved by @Jar

    The issue was that a new subpage بوابة:أعلام/مقالات جديدة/2018 was added recently to the portal.

    This subpage contained many thousand links. (Links to all biography articles created on arwiki in 2018) This caused the expansion size of the main portal page to be 1٬564٬894/2٬097٬152 bytes and although that this size is less than the maximum, yet when trying to access the page, it took a long time to load the content causing the request to time out.

    mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM